Kotlin 1.2 M2 发布,1.2 系列的早期访问版 - 开源中国社区
Float_left Icon_close
Kotlin 1.2 M2 发布,1.2 系列的早期访问版
局长 2017年08月10日

Kotlin 1.2 M2 发布,1.2 系列的早期访问版

局长 局长 发布于2017年08月10日 收藏 3

Kotlin 1.2 M2 已发布,此版本的主要是 Kotlin 编译器和工具的稳定性改进和错误修复,以及 Kotlin 标准库的改进。该版本还包括即将发布的 Kotlin 1.1.4 中提供的许多功能。

具体如下:

编译器

  • KT-15825 Switch warning to error for java-default method calls within 1.6 target

  • KT-18702 Do not use non-existing class for suspend markers

  • KT-18845 Exception on building gradle project with collection literals

  • KT-19441 Fix collection literals resolve in gradle-based projects

标准库

  • KEEP-11

    • windowed function: make default step equals to 1, add partialWindows parameter

    • rename pairwise function to zipWithNext

  • KT-4900 Support math operations in stdlib

  • KT-18264 Provide Double and Float bit conversion functions as extensions

更多更新内容可参阅发布主页 changelog

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Kotlin 1.2 M2 发布,1.2 系列的早期访问版
分享
评论(11)
最新评论
0

引用来自“黄道坤”的评论

请教一下,这个东西可以单独安装嘛?我想升级一下我的Idea里的kotlin版本,如何做呢?
去插件中心里
0

引用来自“文星”的评论

谷歌设计的玩意感觉都像敏捷开发出来的,短期内达不到工业标准。

引用来自“黄道坤”的评论

这不是谷歌的产品哟
原来是JetBrains 开发的。见笑了!:relaxed:
0

引用来自“文星”的评论

谷歌设计的玩意感觉都像敏捷开发出来的,短期内达不到工业标准。
这不是谷歌的产品哟
0
请教一下,这个东西可以单独安装嘛?我想升级一下我的Idea里的kotlin版本,如何做呢?
0
还在用1.1.2
0
坐等正式版
0
了个发沙
0

0
xiaolei123
3楼 5分钟前
沙了个发
0
沙了个发
0
发了个沙
0
沙了个发
顶部